%define languageenglazy French
%define languagecode    fr
%define lc_ctype        fr_FR

Name:           hunspell-fr
Version:        4.2
Release:        %mkrel 7
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2 or LGPLv2 or MPLv1.1
Group:          System/Internationalization
URL:            http://www.dicollecte.org/home.php?prj=fr
Source0:        http://www.dicollecte.org/download/fr/%{name}-classique+reforme1990-v%{version}.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-fr
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-fr_BE = %{version}-%{release}
Provides:       hunspell-fr_CA = %{version}-%{release}
Provides:       hunspell-fr_CH = %{version}-%{release}
Provides:       hunspell-fr_LU = %{version}-%{release}
Provides:       hunspell-fr_MC = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-fr_BE = 2
Provides:       dictionary-fr_CA = 2
Provides:       dictionary-fr_CH = 2
Provides:       dictionary-fr_LU = 2
Provides:       dictionary-fr_MC = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}
Obsoletes:      myspell-fr_BE < 1.0.3
Provides:       myspell-fr_BE

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c %{name}-%{version}

%build
chmod 0644 README_%{languagecode}.txt

%install
install -D -m 0644 -p %{languagecode}-classique+reforme1990.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{languagecode}-classique+reforme1990.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    for lang in ../hunspell/*.dic
    do
        lang=`echo $lang|sed -r 's@.*/@@g'|sed -r 's@\..*@@g'`
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_%{languagecode}.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 4.2-7.mga3
+ Revision: 353465
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 4.2-6.mga3
+ Revision: 325259
- stop producing language aliases

* Tue Mar 20 2012 kamil <kamil> 4.2-5.mga2
+ Revision: 224625
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 4.2-4.mga2
+ Revision: 207749
- use better obsoleting of myspell

* Wed Jan 18 2012 kamil <kamil> 4.2-3.mga2
+ Revision: 197703
- hunspell is now suggested
- drop requirement on locales

* Tue Dec 27 2011 kamil <kamil> 4.2-2.mga2
+ Revision: 188244
- adapt the file to the current policy
  o use languageenglazy, languagecode, lc_ctype defines
  o add requirements on locales-%%{languagecode}
  o add providing of
  x enchant-dictionary
  x hunspell-dictionary
  x hunspell-%%{lc_ctype} and fr_ variants
  x dictionary-%%{languagecode}
  x dictionary-%%{lc_ctype} and fr_ variants
  o obsolete myspell- fr dictionaries
  o install files into %%{_datadir}/hunspell/*
  o add backward compatibility for myspell
- clean spec
- fix file permissions of .spec and the sources

  + tv <tv>
    - new release

  + lmenut <lmenut>
    - fix permissions of world-writable files

* Thu Jul 07 2011 ahmad <ahmad> 4.1-1.mga2
+ Revision: 119778
- Update to 4.1

* Sat Mar 12 2011 dmorgan <dmorgan> 4.0.1-2.mga1
+ Revision: 68774
- imported package hunspell-fr

